-----------------------------------------------------------------------------
-- Site 13
-----------------------------------------------------------------------------

function PostStage()

    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera"); 
    
    end;    
    
-----------------------------------------------------------------------------    

function Setup()

    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\Site13\\Site13.ini", "","","");
    EntGame.CreatePlayerEntities();

	-- do any setup that is specifically for testing.
	if (EntGame.TestingLevels()) then
		Testing();
		end;    
		
    EntGame.SetGlobalDustColorInitial(0, 0.67, .58, .45);
    EntGame.SetGlobalDustColorFinal  (0, 0.67, .58, .45);

    EntGame.SetStageTimer(190);
    
    EntGame.LoadAnimal(AID_DALL_SHEEP_M);
    EntGame.LoadAnimal(AID_DALL_SHEEP_F);
    EntGame.LoadAnimal(AID_WOLF);
    EntGame.LoadAnimal(AID_BLACK_TAIL_DEER_M);
	EntGame.LoadAnimal(AID_BLACK_TAIL_DEER_F);
    EntGame.LoadAnimal(AID_COUGAR);
	
    -- setup tournament logic    
    EntGame.StagePrepare();           

    -- show the scene from the intro camera
    EntGame.BindCameraToEntity("IntroCamera");
    
    -- tell the game the world has loaded
    Entity.GameEventPre(Game.GetRootEntity(), GE_WORLDLOADED, 0);	

    -- wait until the intro dialog is dispatched
    while (EntGame.GetFlag(GF_READYTOSTART) == false) do
        Script.WaitFrame(1);
        end;

    -- do a fade out        
    FadeOut();
    Script.WaitSec(0.5);       
    end;
    
-----------------------------------------------------------------------------    
-- Intro

function Intro()    

   -- start the music while the scene is black
    EntGame.PlaySong("Music\\KnifeFight.ogg");  

    entCamera = Entity.FindName(entRoot, "MainCamera");    
    
    -- some initial animals to look at    			 
	hippo1= EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "BeginPath02", 0, ST_GRAZING, 4+5,0,0,1);	 
	Animal.FaceEntity(hippo1, entCamera );
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BeginPath01", 0, ST_GRAZING, 3+5,0,0,1);	
	hippo2 =  EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_F, "BeginPath02",0, ST_GRAZING, 5.5+5,0,3,1);	
	Animal.FaceEntity(hippo2, entCamera);
	hippo3= EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "BeginPath02", 0, ST_GRAZING, 7+5,0,-4,1);	 
	Animal.FaceEntity(hippo3, entCamera );	 
	
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "CrocAttack1", 0, ST_GRAZING, 8+5,-3,-2,1);

    -- now, fade in, give the player control and turn the HUD on        
    EntGame.BindCameraToEntity("CountdownCamera3");
    FadeIn();                    
    Script.WaitSec(1.0); 
    
    -- "3"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_3, 0);   
    Script.WaitSec(1.0);
    
    -- "2"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_2, 0);   
    EntGame.BindCameraToEntity("CountdownCamera2");
    Script.WaitSec(1.0);
    
    -- "1"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_1, 0);   
    EntGame.BindCameraToEntity("CountdownCamera1");
    Script.WaitSec(1.0);
    
    -- "HUNT!"    
    entCamera = Entity.FindName(entRoot, "MainCamera");
    EntGame.BindCameraToEntity(entCamera);    
    
	EntGame.BindInputToEntity("Player1");
	Camera.JumpToWaypoint(entCamera, "CamWptAA");
    Camera.SetSpeed(entCamera, 0.0, 0.01);          
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_HUNT, 0);     
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_START, 0);  
	
    end;
    
-----------------------------------------------------------------------------
-- Use this function for overriding various game parameters (i.e. weapon availability, etc.)
function Testing()
    EntGame.SetPlayerWeapon(0, WS_PISTOL, 	    WID_PISTOL_3);
	EntGame.SetPlayerWeapon(0, WS_SINGLE_RIFLE, WID_SINGLE_RIFLE_3);
    EntGame.SetPlayerWeapon(0, WS_SHOTGUN,	    WID_SHOTGUN_3);	
	EntGame.SetPlayerWeapon(0, WS_AUTO_RIFLE, 	WID_AUTO_RIFLE_3);	
	EntGame.SetPlayerWeapon(0, WS_BOW, 		    WID_BOW_2);
	EntGame.ResetWeaponIcons();
	end;
	
-----------------------------------------------------------------------------

function Part1()
	
	Script.WaitSec(6);
	
	--PREDATOR #1 
	a = EntGame.SpawnAnimalOnPath(AID_WOLF, "BeginPath03", 0, ST_WPT_RUN, 0,2,3,1); 
	Animal.FaceEntity(a, entCamera);       
    Animal.SetAutoChargeDist(a, 15);	
	Animal.SetAttackType(a, ATK_STRAFE);
	Animal.SetStrafeAttackDist(a, 6);
	Animal.SetStrafeAttackDelay(a, .5);
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, 90);  
	
	Script.WaitSec(4);

	hippo5= EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "BeginPath02", 0, ST_GRAZING, 7,0,-5,1);	 
	Animal.FaceEntity(hippo5, entCamera );
	
	Script.WaitSec(2);
	
	Camera.SetSpeed(entCamera, 1.5, .5); 
	Camera.StopAtWaypoint(entCamera, "CamWptBB");
	Camera.SetPanOffset(entCamera, 10, 1.5);
	
	Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "HillPath2",0, ST_WPT_RUN, 0,0,0,1);		
    Script.WaitSec(5);
	
	--POWERUP!!!
	Wolf = EntGame.SpawnAnimalOnPath(AID_WOLF, "HippoAttack1",0, ST_WPT_RUN, 0,0,1.5,.8);
	Animal.FaceEntity(Wolf, entCamera);	
	EntGame.CreateAnimalPowerUp(Wolf, PID_4X_MAGAZINE);	
	Script.WaitSec(4);
	
	--PAN LEFT
    Camera.SetPanOffset(entCamera, -20, 1.5);
    
	EntGame.SpawnAnimalOnPath(AID_WOLF, "WaterPath2",0, ST_WPT_RUN, 0,0,0,.1); 
			
	Script.WaitSec(1);

	EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "HillPath2",0, ST_WPT_RUN, 0,-1,0,1);	
	Script.WaitSec(1);
    a=EntGame.SpawnAnimalOnPath(AID_WOLF, "WaterPath2",0, ST_WPT_RUN, 0,0,3,.1);
    Animal.FaceEntity(a, entCamera);
    Script.WaitSec(1); 
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "HillPath2",0, ST_WPT_RUN, 0,0,0,1);		
    Script.WaitSec(2); 
	EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "HillPath2",0, ST_WPT_RUN, 0,-2,0,1);
	Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_WOLF, "WaterPath2",0, ST_WPT_RUN, 0,0,3,.5);	
    Script.WaitSec(1); 
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "HillPath2",0, ST_WPT_RUN, 0,-.5,0,1);
	
	--POWERUP!!!
	Wolf = EntGame.SpawnAnimalOnPath(AID_WOLF, "WaterPath2",0, ST_WPT_RUN, 0,0,0,.8);	
	EntGame.CreateAnimalPowerUp(Wolf, PID_2X_SCORE);
	
    Script.WaitSec(1); 
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_F, "HillPath2",0, ST_WPT_RUN, 0,0,4,1);	
    Script.WaitSec(8); 
    
    --PAN RIGHT & MOVE
    Camera.SetPanOffset(entCamera, 20, 3);
    Camera.SetSpeed(entCamera, 2.5, .5);
	
    Script.WaitSec(1); 
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "HillPath3",0, ST_WPT_RUN, 0,0,0,1);	
    Script.WaitSec(1); 
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "HillPath3",0, ST_WPT_RUN, 0,4,0,1);
    Script.WaitSec(2); 
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "HillPath3",0, ST_WPT_RUN, 0,0,1.5,.2);
    Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "HillPath3",0, ST_WPT_RUN, 0,0,.5,.2);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "HillPath3",0, ST_WPT_RUN, 0,0,.5,.2);
	Script.WaitSec(1.5);	
    Camera.StopAtWaypoint(entCamera, "CamWptEE");
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "HillPath1",1, ST_WPT_RUN, 0,0,0,1);
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "HillPath1",1, ST_WPT_RUN, 0,2,2,1);
    Script.WaitSec(1);
	
	--POWERUP
    Deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "HillPath1",1, ST_WPT_RUN, 0,-2,-2,1);	
	EntGame.CreateAnimalPowerUp(Deer, PID_WILEY_VISION_100);
    
    Script.WaitSec(3);
    
    --PAN LEFT
    Camera.SetPanOffset(entCamera, -10, 2);
    	 
    Script.WaitSec(6);
    a = EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_F, "CavePath1",0, ST_WPT_RUN, 0,0,0,.9);
	Animal.FaceEntity(a, entCamera );
	Script.WaitSec(1);
				
    Camera.SetSpeed(entCamera, 0, .5);
    Camera.SetPanOffset(entCamera, 75, .5);
    Camera.SetTiltOffset(entCamera, 8, .5);
         
    Script.WaitSec(2); 
	a =  EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "CavePath2",0, ST_WPT_RUN, 0,0,0,1);
	Animal.FaceEntity(a, entCamera );	
	Script.WaitSec(3); 
	
	--PREDATOR #2
    a =  EntGame.SpawnAnimalOnPath(AID_COUGAR, "CavePath2",0, ST_WPT_RUN, 0,0,0,1);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAttackType(a, ATK_STATIC);
	Animal.SetStaticAttackDist(a, 2.5);
	Animal.SetStaticAttackDelay(a, 1.25);	
	Animal.SetAutoChargeDist(a, 15.0);
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, 90);
	
    Script.WaitSec(3); 
          
    a =  EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "CavePath1",0, ST_WPT_RUN, 0,1,0,1);
	Animal.FaceEntity(a, entCamera );
    Script.WaitSec(2);
    a =  EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_F, "CavePath2",0, ST_WPT_RUN, 0,0,0,1);
	Animal.FaceEntity(a, entCamera );
	Script.WaitSec(2);	
		
	--PREDATOR #3	
    a =  EntGame.SpawnAnimalOnPath(AID_COUGAR, "CavePath1",0, ST_WPT_RUN, 0,0,0,.5);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAttackType(a, ATK_STRAFE);	
	Animal.SetStrafeAttackDist(a, 5.5);
	Animal.SetStrafeAttackDelay(a, .75);	
	Animal.SetAutoChargeDist(a, 15.0);
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, 90);
      
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "HillPath1", 0, ST_WPT_RUN, 0, 4, 0, 1) 
	Script.WaitSec(2); 
	EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "HillPath1", 0, ST_WPT_RUN, 0, 2, -2.5, 1)
    Script.WaitSec(1);
	a =  EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "CavePath1",0, ST_WPT_RUN, 0,0,0,1);
	Animal.FaceEntity(a, entCamera );
	Script.WaitSec(1);	
	
	--POWERUP
	a =  EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "CavePath2",0, ST_WPT_RUN, 0,0,0,1);
	Animal.FaceEntity(a, entCamera );
	EntGame.CreateAnimalPowerUp(a, PID_BODY_ARMOR_50);
	Script.WaitSec(3); 	
	
	--PREDATOR #4
	a =  EntGame.SpawnAnimalOnPath(AID_WOLF, "HillPath1",0, ST_WPT_RUN, 0,0,0,1);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAttackType(a, ATK_STRAFE);
	Animal.SetStrafeAttackDist(a, 6);
	Animal.SetStrafeAttackDelay(a, .5);		
	Animal.SetAutoChargeDist(a, 30.0);
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, 90);
	
	Script.WaitSec(1);
	
    Camera.SetPanOffset(entCamera, 10, 2.5);
    Camera.SetTiltOffset(entCamera, 0, 2.5);
    Camera.SetSpeed(entCamera, 2.50, .5);
        
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "HillPath1", 0, ST_WPT_RUN, 0, 2, 0, .5) 
    Script.WaitSec(2); 	
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "HillPath1", 0, ST_WPT_RUN, 0, -1, 0, 1) 
    Script.WaitSec(2); 	
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_F, "HillPath1", 0, ST_WPT_RUN, 0, -3, 0, .5) 
    Script.WaitSec(4); 	
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "HillPath1", 0, ST_WPT_RUN, 0, -1, 0, 1) 
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_F, "HillPath1", 0, ST_WPT_RUN, 0, 3, 0, .5) 
    Script.WaitSec(2); 	
	
    Camera.SetSpeed(entCamera, 3, .5);
    Camera.StopAtWaypoint(entCamera, "CamWptHH"); 

    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "ValleyPath1", 0, ST_WPT_RUN, 0, -4, 0, .5) 
    Script.WaitSec(4); 	
	
	--POWERUP
	Animal1 = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "ValleyPath2", 0, ST_WPT_RUN, 0, 3, 0, 1)
	Animal.FaceEntity(Animal1, entCamera);
	EntGame.CreateAnimalPowerUp(Animal1, PID_3X_RELOAD_RATE);
	
	Script.WaitSec(2);
	Animal2 = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "ValleyPath2", 0, ST_WPT_RUN, 0, 6, 0, 1) 
	Animal.FaceEntity(Animal2, entCamera);
	Animal3 = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "ValleyPath2", 0, ST_WPT_RUN, 0, 8, 0, 1)
	Animal.FaceEntity(Animal3, entCamera);
	Script.WaitSec(1); 	
    Camera.SetSpeed(entCamera, 3.3, .5);
	
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "DeepValleyPath1", 0, ST_WPT_RUN, 20, 0, 0,  1) 
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "DeepValleyPath1", 0, ST_WPT_RUN, 0, 1, 0, .8) 
    Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "DeepValleyPath2",0, ST_WPT_RUN, 0,0,4,1.2);
    Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "StampedePath1",0, ST_WPT_RUN, 0,0,0,1.9);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "StampedePath1",0, ST_WPT_RUN, 0,-1.5,0,1.7);
	Script.WaitSec(1);
	
	--POWERUP
	Deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "StampedePath1",0, ST_WPT_RUN, 0,1.5,0,1.5);
	EntGame.CreateAnimalPowerUp(Deer, PID_4X_MAGAZINE);
	
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_F, "DeepValleyPath2",0, ST_WPT_RUN, 0,0,1,1.5);
    Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "DeepValleyPath2",0, ST_WPT_RUN, 0,2,0,1);
         
    end;
    
-----------------------------------------------------------------------------

function Part2()
	
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "DeepValleyPath2",0, ST_WPT_RUN, 0,0,2,1);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_F, "DeepValleyPath3",0, ST_WPT_RUN, 0,0,-2,.8);
    Script.WaitSec(3);
         
	--PREDATOR #5	 
	a = EntGame.SpawnAnimalOnPath(AID_COUGAR, "StampedePath1",0, ST_WPT_RUN, 0,0,0,2.5);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAttackType(a, ATK_STRAFE);	
	Animal.SetStrafeAttackDist(a, 7);
	Animal.SetStrafeAttackDelay(a, .75);	
	Animal.SetAutoChargeDist(a, 15.0);
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, 90);
	
    Script.WaitSec(1);		
	
	--PAN RIGHT
    Camera.SetPanOffset(entCamera, 15, 1.5);
    --Camera.SetSpeed(entCamera, 0, .5);
    
	EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "DeepValleyPath3",0, ST_WPT_RUN, 0,3,2,.8);
         
    Script.WaitSec(2);
         
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "DeepValleyPath4",0, ST_WPT_RUN, 20,4,2,.8);
    a = EntGame.SpawnAnimalOnPath(AID_WOLF, "DeepValleyPath2",0, ST_WPT_RUN, 0,0,0, 1.0);
	Animal.FaceEntity(a, entCamera );
				
    Script.WaitSec(2);
         
    EntGame.SpawnAnimalOnPath(AID_COUGAR, "DeepValleyPath4",0, ST_WPT_RUN, 0,0,2,.4);	
    Script.WaitSec(5);
    
	--PREDATOR #6
	a =	EntGame.SpawnAnimalOnPath(AID_COUGAR, "StampedePath1",0, ST_WPT_RUN, 0,0,0,2.5);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAttackType(a, ATK_STRAFE);	
	Animal.SetStrafeAttackDist(a, 7);
	Animal.SetStrafeAttackDelay(a, .75);	
	Animal.SetAutoChargeDist(a, 15.0);
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, 90);
	
	Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_WOLF, "DeepValleyPath3",0, ST_WPT_RUN, 30,5,2,.5);
    Script.WaitSec(3);
	
	--POWERUP
    Wolf = EntGame.SpawnAnimalOnPath(AID_WOLF, "DeepValleyPath3",0, ST_WPT_RUN, 30,5,2,.5);
	EntGame.CreateAnimalPowerUp(Wolf, PID_WILEY_VISION_100);
	
    Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_WOLF, "DeepValleyPath4",0, ST_WPT_RUN, 0,0,2,.5);
    Script.WaitSec(3);
    
    end;    

-----------------------------------------------------------------------------
function Part3()
	
    EntGame.SpawnAnimalOnPath(AID_COUGAR, "StampedePath1",0, ST_WPT_RUN, 0,0,0,1.9);
    Script.WaitSec(2);
 
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "StampedePath1",0, ST_WPT_RUN, 20,2,0,2.0);
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "StampedePath1",0, ST_WPT_RUN, 0,0,0,1.5);
	Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "StampedePath1",0, ST_WPT_RUN, 1,0,-2,1.4);
    Script.WaitSec(1);

    a =EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "StampedePath2",0, ST_WPT_RUN, 1,4,0,1.7);
    Animal.FaceEntity(a, entCamera );
    Script.WaitSec(1);
	
    Camera.SetSpeed(entCamera, 1.0, .5);
    Camera.StopAtWaypoint(entCamera, "CamWptKK");
	
    --PAN CENTER
    Camera.SetPanOffset(entCamera, 0, 1.5);
    
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath1",0, ST_WPT_RUN, 0,0,0,1.3);
    Script.WaitSec(2);
		
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_F, "StampedePath1",0, ST_WPT_RUN, 0,4,0,1.5);
    Script.WaitSec(1);

    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath1",0, ST_WPT_RUN, 0,3,0,2.4);
    Script.WaitSec(4);
	
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath1",0, ST_WPT_RUN, 0,0,0,1.5);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath2",0, ST_WPT_RUN, 0,0,0,1.7);
    Script.WaitSec(14);		
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "StampedePath3",0, ST_WPT_RUN, 0,3,0,1.2);
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath3",0, ST_WPT_RUN, 0,0,0,1.8);
    Script.WaitSec(2);
	
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath3",0, ST_WPT_RUN, 0,3,0,1.2);
    Script.WaitSec(1);	 
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath3",0, ST_WPT_RUN, 0,3,0,1.2);
    Script.WaitSec(2);	 
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath3",0, ST_WPT_RUN, 0,0,0,1.9);
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath3",0, ST_WPT_RUN, 0,3,0,1.2);
    Script.WaitSec(1);

	--POWERUP 
	Cougar = EntGame.SpawnAnimalOnPath(AID_COUGAR, "ValleyAttack1",0, ST_WPT_RUN, 0,0,0, .5);
	Animal.FaceEntity(Cougar, entCamera );
	EntGame.CreateAnimalPowerUp(Cougar, PID_3X_SCORE);
	
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath3",0, ST_WPT_RUN, 0,3,0,1.4);
    Script.WaitSec(1.5);	
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "WaterEmergePath1",0, ST_WPT_RUN, 0,0,0,1.5);	
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "WaterEmergePath1",0, ST_WPT_RUN, 0,-1.5,0,1.5);	
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath3",0, ST_WPT_RUN, 0,3,0,1.2);
    Script.WaitSec(1);	
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "WaterEmergePath1",0, ST_WPT_RUN, 0,1,0,1.5);
    EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath3",0, ST_WPT_RUN, 0,3,0,1.4);
    Script.WaitSec(1);
		
    EntGame.SpawnAnimalOnPath(AID_COUGAR, "StampedePath3",0, ST_WPT_RUN, 0,3,0, 0.0);
    Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "WaterEmergePath1",0, ST_WPT_RUN, 0,0,5,1.5);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath3",0, ST_WPT_RUN, 0,3,0,1.2);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "WaterEmergePath1",0, ST_WPT_RUN, 0,0,1,1.5);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "WaterEmergePath1",0, ST_WPT_RUN, 0,0,3,1.5);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_DALL_SHEEP_M, "StampedePath3",0, ST_WPT_RUN, 0,3,0,1.2);
	Script.WaitSec(.5);
	EntGame.SpawnAnimalOnPath(AID_WOLF, "WaterEmergePath1",0, ST_WPT_RUN, 0,0,1,1);
				
	end;
      
-----------------------------------------------------------------------------------------------------------

Setup();   
Intro(); 
Part1();   
Part2();   
Part3();    





